<?php

/**
 * JTL Plugin
 * Copyright (C) 2011 - 2018 Andreas Petermann
 *
 * PHP version 5.6+
 *
 * @copyright css-umsetzung
 * @author Andreas Petermann <info@css-umsetzung.de>
 * @package css_warenkorb
 * @version 1.06
 *         
 */

namespace css_warenkorb;

if($oPlugin->nStatus!=2 || defined("FILENAME_KUNDENZIP") || defined("JTLCRON") || defined("AM_EINSTELLUNGEN")) return;

require_once str_replace("frontend/","",$oPlugin->cFrontendPfad) . 'classes/class.'.$oPlugin->cPluginID.'.php';
$cssPlugin = css_warenkorb::getInstance($oPlugin);

if($cssPlugin->_get('config')->active == 'N') return;



switch($oPlugin->nCalledHook) {

	case HOOK_SMARTY_OUTPUTFILTER:
		$cssPlugin->hookSmartyOutputfilter();
		break;
		
	case HOOK_INDEX_SEO_404:
		$cssPlugin->hookIndexSeo404();
		break;
		
	case HOOK_IO_HANDLE_REQUEST:
		$cssPlugin->hookIoHandleRequest();
		break;
		
}