<div class="panel panel-default config">
	<form method="post" action="{$adminURL}">
		<input type="hidden" value="saveConfig" name="cssAdminConfigAction"> 
		{$jtl_token}
		<div class="panel-body"></div>

		<div class="panel-heading">
			<h3 class="panel-title">Konfiguration</h3>
		</div>

      <div class="btn-group input-group" data-toggle="buttons">
        <span class="input-group-addon"> <label for="cssActive">Plugin aktiv</label></span>
        <span class="input-group-wrap">
          <select id="cssActive" name="active" class="form-control alert-{if !$cssConfig->active || $cssConfig->active== 'N'}danger{else}success{/if}" >
            <Option {if $cssConfig->active== 'N'} selected {/if} value="N">Nein</Option>
            <Option {if $cssConfig->active== 'Y'} selected {/if} value="Y">Ja</Option>
          </select>
        </span>
        <span class="input-group-addon"><button title="" data-placement="left" data-toggle="tooltip" data-html="true" class="btn-tooltip btn btn-info btn-heading" type="button"
            data-original-title="Aktivieren oder deaktivieren Sie dieses Plugin.">
            <i class="fa fa-question"></i>
        </button></span>
	    </div>

      <div class="btn-group input-group" data-toggle="buttons">
        <span class="input-group-addon"> <label for="cssActive">Artikel f&uuml;r den Warenkorb:</label></span>
        <span class="input-group-wrap">
          <select id="basketArticle" name="basketArticle" class="form-control" >
            <Option {if $cssConfig->basketArticle== 'D'} selected {/if} value="D">Immer direkt in den Warenkorb legen</Option>
            <Option {if $cssConfig->basketArticle== 'O'} selected {/if} value="O">Auflisten wenn der Warenkorb bereits Artikel enth&auml;lt</Option>
            <Option {if $cssConfig->basketArticle== 'A'} selected {/if} value="A">Artikel f&uuml;r den Warenkorb immer erst Auflisten</Option>
          </select>
        </span>
        <span class="input-group-addon"><button title="" data-placement="left" data-toggle="tooltip" data-html="true" class="btn-tooltip btn btn-info btn-heading" type="button"
            data-original-title="Bitte geben Sie an, wie Sie bei einem Aufruf eines Warenkorblinks verfahren m&ouml;chten.">
            <i class="fa fa-question"></i>
        </button></span>
	    </div>

      <div class="btn-group input-group" data-toggle="buttons">
        <span class="input-group-addon"> <label for="searchFor">Ajax Suche nach</label></span>
        <span class="input-group-wrap">
          <select id="searchFor" name="searchFor" class="form-control" >
            <Option {if $cssConfig->searchFor== 'B'} selected {/if} value="B">Produktbezeichnung &amp; Artikelnummern</Option>
            <Option {if $cssConfig->searchFor== 'A'} selected {/if} value="A">Artikelnummern</Option>
            <Option {if $cssConfig->searchFor== 'P'} selected {/if} value="P">Produktbezeichnung</Option>
          </select>
        </span>
        <span class="input-group-addon"><button title="" data-placement="left" data-toggle="tooltip" data-html="true" class="btn-tooltip btn btn-info btn-heading" type="button"
            data-original-title="Beschleunigen Sie die Ajax Suche indem Sie geziehlt nach Artikelnummern suchen (empfohlen wenn Sie sehr viele Artikel haben)">
            <i class="fa fa-question"></i>
        </button></span>
    </div>

      <div class="btn-group input-group" data-toggle="buttons">
        <span class="input-group-addon"> <label for="searchIn">Artikel Suchen nach </label></span>
        <span class="input-group-wrap">
          <select id="searchIn" name="searchIn" class="form-control" >
            <Option {if $cssConfig->searchIn== 'B'} selected {/if} value="B">Anfang der Produktbezeichnung oder Artikelnummer</Option>
            <Option {if $cssConfig->searchIn== 'T'} selected {/if} value="T">Teil  der Produktbezeichnung oder Artikelnummer </Option>
          </select>
        </span>
        <span class="input-group-addon"><button title="" data-placement="left" data-toggle="tooltip" data-html="true" class="btn-tooltip btn btn-info btn-heading" type="button"
            data-original-title="wenn Sie viele Artikel haben die mit Ihrem Namen gleich anfangen, empfiehlt es sich nach Teilen der Bezeichnung oder Artikelnummer zu suchen.">
            <i class="fa fa-question"></i>
        </button></span>
    </div>

      <div class="btn-group input-group" data-toggle="buttons">
        <span class="input-group-addon"> <label for="searchLetters">Ajax Suche starten ab</label></span>
        <span class="input-group-wrap">
          <select id="searchLetters" name="searchLetters" class="form-control" >
						{for $cssCount=1 to 10 }
						            <Option {if $cssConfig->searchLetters== $cssCount} selected {/if} value="{$cssCount}">{$cssCount} Zeichen</Option>
						{/for}            
          </select>
        </span>
        <span class="input-group-addon"><button title="" data-placement="left" data-toggle="tooltip" data-html="true" class="btn-tooltip btn btn-info btn-heading" type="button"
            data-original-title="Beschleunigen Sie die Ajax Suche indem Sie erst nach xx Zeichen anfangen zu suchen">
            <i class="fa fa-question"></i>
        </button></span>
    </div>

		<div class="input-group">
			<span class="input-group-addon"> <label for="searchLimit">Anzahl der gefundenen Treffer</label></span> <span class="input-group-wrap"> <input name="searchLimit" id="searchLimit"
				placeholder="20" class="form-control" value="{$cssConfig->searchLimit}">
			</span> <span class="input-group-addon"><button data-placement="left" data-toggle="tooltip" data-html="true" class="btn-tooltip btn btn-info btn-heading" type="button"
					data-original-title="Bitte beachten Sie, je mehr Treffer Sie anzeigen lassen um so l&auml;nger braucht das System um diese zusammenzustellen. Die Suche wird mit jeder Eingabe verfeinert, es ist also nicht erforderlich sich 100 Treffer bei der Eingabe eines Buchstaben anzeigen zu lassen.">
					<i class="fa fa-question"></i>
				</button></span>
		</div>


      <div class="btn-group input-group" data-toggle="buttons">
        <span class="input-group-addon"> <label for="shortLetters">Automatisierte Links besitzen </label></span>
        <span class="input-group-wrap">
          <select id="shortLetters" name="shortLetters" class="form-control" >
						{for $cssCount=5 to 20 }
	            <Option {if $cssConfig->shortLetters== $cssCount} selected {/if} value="{$cssCount}">{$cssCount} Zeichen</Option>
						{/for}            
          </select>
        </span>
        <span class="input-group-addon"><button title="" data-placement="left" data-toggle="tooltip" data-html="true" class="btn-tooltip btn btn-info btn-heading" type="button"
            data-original-title="Sie können die länge der Links hier konfigurieren.">
            <i class="fa fa-question"></i>
        </button></span>
    </div>

		<div class="input-group">
			<span class="input-group-addon"> <label for="noticeSelector">Selektor f&uuml;r die Warenkorbnachricht</label></span> <span class="input-group-wrap"> <input name="noticeSelector" id="noticeSelector"
				placeholder="#content > h1 (oder &auml;hnliches)" class="form-control" value="{$cssConfig->noticeSelector}">
			</span> <span class="input-group-addon"><button data-placement="left" data-toggle="tooltip" data-html="true" class="btn-tooltip btn btn-info btn-heading" type="button"
					data-original-title="Bitte geben Sie den Selector ein wo der Hinweis bei einem Fehler angezeigt werden soll.">
					<i class="fa fa-question"></i>
				</button></span>
		</div>

		<div class="btn-group input-group" data-toggle="buttons">
			<span class="input-group-addon"> <label for="noticePosition">Position f&uuml;r die Warenkorbnachricht</label></span> <span class="input-group-wrap"> <select id="noticePosition" name="noticePosition"
				class="form-control">
					<Option {if $cssConfig->noticePosition=='prepend'} selected {/if} value="prepend">Am Anfang des Elements</Option>
					<Option {if $cssConfig->noticePosition=='append' } selected {/if} value="append">Am Ende des Elements</Option>
					<Option {if $cssConfig->noticePosition=='before'} selected {/if} value="before" >vor dem Element</Option>
					<Option {if $cssConfig->noticePosition=='after'} selected {/if} value="after" >Nach dem Element</Option>
					<Option {if $cssConfig->noticePosition=='html'} selected {/if} value="html" >Inhalt des Elements ersetzen</Option>
					<Option {if $cssConfig->noticePosition=='replace'} selected {/if} value="replace" >Element ersetzen</Option>
			</select>
			</span> <span class="input-group-addon"><button title="" data-placement="left" data-toggle="tooltip" data-html="true" class="btn-tooltip btn btn-info btn-heading" type="button"
					data-original-title="W&auml;hlen  Sie die Position und die Art, wie die Inhalte eingesetzt werden sollen">
					<i class="fa fa-question"></i>
				</button></span>
		</div>

		<div class="text-right" style="padding: 0px 10px 20px 0px">
			<button class="btn btn-primary" value="senden" type="submit" name="senden">
				<i class="fa fa-save"></i> speichern
			</button>
		</div>
	</form>

</div>

